Package eu.mhsl.minenet.minigames

# Enum Class Resource

java.lang.Object
java.lang.Enum<Resource>
eu.mhsl.minenet.minigames.Resource

All Implemented Interfaces:
  `Serializable`, `Comparable<Resource>`, `Constable`

public enum Resource extends Enum<Resource>
Predefined resources which are extracted on Runtime

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HUB_MAP`
  `LOBBY_MAP`
  `LOCALES`
  `RBB`
  `SCHEMATICS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `Path`
  `getPath()`
  `static Resource`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Resource[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HUB_MAP

    public static final Resource HUB_MAP

  - ### LOBBY_MAP

    public static final Resource LOBBY_MAP

  - ### RBB

    public static final Resource RBB

  - ### LOCALES

    public static final Resource LOCALES

  - ### SCHEMATICS

    public static final Resource SCHEMATICS

- ## Method Details

  - ### values

    public static Resource[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Resource valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPath

    public Path getPath()

  - ### getName

    public String getName()